package com.ruoyi.project.sems.his.service.impl;

import java.util.List;

import com.ruoyi.project.sems.domain.TSpecdevGl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.his.mapper.TSpechiGlMapper;
import com.ruoyi.project.sems.his.domain.TSpechiGl;
import com.ruoyi.project.sems.his.service.ITSpechiGlService;

/**
 * 特种设备锅炉台账历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service("tSpechiGlService")
public class TSpechiGlServiceImpl implements ITSpechiGlService
{
    @Autowired
    private TSpechiGlMapper tSpechiGlMapper;

    /**
     * 查询特种设备锅炉台账历史
     *
     * @param id 特种设备锅炉台账历史ID
     * @return 特种设备锅炉台账历史
     */
    @Override
    public TSpechiGl selectTSpechiGlById(Long id)
    {
        return tSpechiGlMapper.selectTSpechiGlById(id);
    }

    /**
     * 查询特种设备锅炉台账历史列表
     *
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 特种设备锅炉台账历史
     */
    @Override
    public List<TSpechiGl> selectTSpechiGlList(TSpechiGl tSpechiGl)
    {
        return tSpechiGlMapper.selectTSpechiGlList(tSpechiGl);
    }

    /**
     * 新增特种设备锅炉台账历史
     *
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    @Override
    public int insertTSpechiGl(TSpechiGl tSpechiGl)
    {
        return tSpechiGlMapper.insertTSpechiGl(tSpechiGl);
    }

    /**
     * 使用台账对象新增特种设备锅炉台账历史
     * @param tSpecdevGl 特种设备锅炉台账
     * @return
     */
    @Override
    public int insertTSpechiGlWithDev(TSpecdevGl tSpecdevGl) {
        return tSpechiGlMapper.insertTSpechiGlByDev(tSpecdevGl);
    }

    /**
     * 修改特种设备锅炉台账历史
     *
     * @param tSpechiGl 特种设备锅炉台账历史
     * @return 结果
     */
    @Override
    public int updateTSpechiGl(TSpechiGl tSpechiGl)
    {
        return tSpechiGlMapper.updateTSpechiGl(tSpechiGl);
    }

    /**
     * 批量删除特种设备锅炉台账历史
     *
     * @param ids 需要删除的特种设备锅炉台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiGlByIds(Long[] ids)
    {
        return tSpechiGlMapper.deleteTSpechiGlByIds(ids);
    }

    /**
     * 删除特种设备锅炉台账历史信息
     *
     * @param id 特种设备锅炉台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiGlById(Long id)
    {
        return tSpechiGlMapper.deleteTSpechiGlById(id);
    }

    @Override
    public List<TSpechiGl> selectTSpechiGlByReform(Long devId) {
        return tSpechiGlMapper.selectTSpechiGlByReform(devId);
    }

    /**
     * 通过devId删除修改记录
     * @param devId
     * @return
     */
    @Override
    public int deleteTSpechiGlByDevId(Long devId) {
        return tSpechiGlMapper.deleteTSpechiGlByDevId(devId);
    }
}
